| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
sct_fsm.h File Reference
`#include "sct_user.h"`

Go to the source code of this file.

## Macros
#define | SCT_IRQ_EVENT_crossingTimeout (2)
#define | SCT_INPUT_CROSS_REQUEST (0)
#define | SCT_OUTPUT_GREEN_N (10)
#define | SCT_OUTPUTPRELOAD_GREEN_N (0)
#define | SCT_OUTPUT_BLUE_N (13)
#define | SCT_OUTPUTPRELOAD_BLUE_N (1)
#define | SCT_OUTPUT_RED_N (14)
#define | SCT_OUTPUTPRELOAD_RED_N (1)
#define | SCT_OUTPUT_REQUEST (8)
#define | SCT_OUTPUTPRELOAD_REQUEST (0)
#define | SCT_OUTPUT_AUTO_CROSS (11)
#define | SCT_OUTPUTPRELOAD_AUTO_CROSS (0)
#define | reload_turn_yellow_on(value) LPC_SCT->MATCHREL_L[0] = value;
#define | reload_cross_timeout(value) LPC_SCT->MATCHREL_H[0] = value;
#define | reload_turn_red_off(value) LPC_SCT->MATCHREL_L[1] = value;
#define | reload_turn_yellow_off(value) LPC_SCT->MATCHREL_L[2] = value;
#define | reload_pedestrian_walk(value) LPC_SCT->MATCHREL_L[3] = value;
#define | reload_turn_red_on(value) LPC_SCT->MATCHREL_L[4] = value;
#define | reload_pedestrian_stop(value) LPC_SCT->MATCHREL_L[5] = value;

## Functions
void | sct_fsm_init (void)

## Macro Definition Documentation

#define reload_cross_timeout | ( |  | value | ) | LPC_SCT->MATCHREL_H[0] = value;

Definition at line 31 of file sct_fsm.h.

#define reload_pedestrian_stop | ( |  | value | ) | LPC_SCT->MATCHREL_L[5] = value;

Definition at line 36 of file sct_fsm.h.

#define reload_pedestrian_walk | ( |  | value | ) | LPC_SCT->MATCHREL_L[3] = value;

Definition at line 34 of file sct_fsm.h.

#define reload_turn_red_off | ( |  | value | ) | LPC_SCT->MATCHREL_L[1] = value;

Definition at line 32 of file sct_fsm.h.

#define reload_turn_red_on | ( |  | value | ) | LPC_SCT->MATCHREL_L[4] = value;

Definition at line 35 of file sct_fsm.h.

#define reload_turn_yellow_off | ( |  | value | ) | LPC_SCT->MATCHREL_L[2] = value;

Definition at line 33 of file sct_fsm.h.

#define reload_turn_yellow_on | ( |  | value | ) | LPC_SCT->MATCHREL_L[0] = value;

Definition at line 30 of file sct_fsm.h.

#define SCT_INPUT_CROSS_REQUEST (0)

Definition at line 14 of file sct_fsm.h.

#define SCT_IRQ_EVENT_crossingTimeout (2)

Definition at line 11 of file sct_fsm.h.

#define SCT_OUTPUT_AUTO_CROSS (11)

Definition at line 25 of file sct_fsm.h.

#define SCT_OUTPUT_BLUE_N (13)

Definition at line 19 of file sct_fsm.h.

#define SCT_OUTPUT_GREEN_N (10)

Definition at line 17 of file sct_fsm.h.

#define SCT_OUTPUT_RED_N (14)

Definition at line 21 of file sct_fsm.h.

#define SCT_OUTPUT_REQUEST (8)

Definition at line 23 of file sct_fsm.h.

#define SCT_OUTPUTPRELOAD_AUTO_CROSS (0)

Definition at line 26 of file sct_fsm.h.

#define SCT_OUTPUTPRELOAD_BLUE_N (1)

Definition at line 20 of file sct_fsm.h.

#define SCT_OUTPUTPRELOAD_GREEN_N (0)

Definition at line 18 of file sct_fsm.h.

#define SCT_OUTPUTPRELOAD_RED_N (1)

Definition at line 22 of file sct_fsm.h.

#define SCT_OUTPUTPRELOAD_REQUEST (0)

Definition at line 24 of file sct_fsm.h.

## Function Documentation

void sct_fsm_init | ( | void |  | ) |

Definition at line 10 of file sct_fsm_hitex_eva_18504350.c.